Package org.acplt.oncrpc.apps.jrpcgen.cup_runtime

# Interface Scanner

public interface Scanner
Defines the Scanner interface, which CUP uses in the default implementation of `lr_parser.scan()`. Integration of scanners implementing `Scanner` is facilitated.

Version:
  last updated 23-Jul-1999
Author:
  David MacMahon <davidm@smartsc.com>

## Method Summary

Modifier and Type
Method
Description
`Symbol`
`next_token()`
Delivers the next token.

## Method Details

### next_token

Symbol next_token() throws Exception
Delivers the next token.

Returns:
  The next token, or `null` on end-of-file.
Throws:
  `Exception` - if any error occurs.